
Redmine - Defect #22111

Rake Aborted

2016-02-25 08:09 - poornima d

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

Hello All,

I've downloaded the latest redmine from git. I've an issue to run the rake tasks.

Can anyone help me out.

My environment :

Ruby : 2.2.4p230

Rails : 4.2.5.1

The below issue occurring whenever running the rake tasks.

ActiveRecord::StatementInvalid: PG::CannotCoerce: ERROR:  cannot cast type regcl

ass to text

LINE 1: SELECT t2.oid::regclass::text AS to_table, a1.attname AS col...

                                 ^

: SELECT t2.oid::regclass::text AS to_table, a1.attname AS column, a2.attname AS

 primary_key, c.conname AS name, c.confupdtype AS on_update, c.confdeltype AS on

_delete

FROM pg_constraint c

JOIN pg_class t1 ON c.conrelid = t1.oid

JOIN pg_class t2 ON c.confrelid = t2.oid

JOIN pg_attribute a1 ON a1.attnum = c.conkey[1] AND a1.attrelid = t1.oid

JOIN pg_attribute a2 ON a2.attnum = c.confkey[1] AND a2.attrelid = t2.oid

JOIN pg_namespace t3 ON c.connamespace = t3.oid

WHERE c.contype = 'f'

  AND t1.relname = 'attachments'

  AND t3.nspname = ANY (current_schemas(false))

ORDER BY c.conname

PG::CannotCoerce: ERROR:  cannot cast type regclass to text

LINE 1: SELECT t2.oid::regclass::text AS to_table, a1.attname AS col...

                                 ^

History

#1 - 2016-02-25 09:01 - Toshi MARUYAMA

- Description updated

- Category changed from Issues to Database

#2 - 2016-02-25 09:06 - Toshi MARUYAMA

- Status changed from New to Needs feedback

poornima d wrote:

Hello All,

I've downloaded the latest redmine from git. I've an issue to run the rake tasks.
 Which revision?

Can anyone help me out.

My environment :

Ruby : 2.2.4p230

Rails : 4.2.5.1

The below issue occurring whenever running the rake tasks.

 What is your PostgreSQL version?

Clean install or update?

Could you post full log?

#3 - 2019-01-13 02:28 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
